Core - Bug # 40215

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Philipp Gampe Category: scheduler
Created: 2012-08-26 Assigned To:

Updated: 2013-12-10 Due date:

TYPO3 Version: 6.0

PHP Version: 54

Complexity:

Is Regression:

Sprint Focus:

Subject: Task Table garbage collection (scheduler) fails

Description

Execution failed: 1308354399, TYPO3\CMS\Scheduler\Scheduler_TableGarbageCollection misconfiguration: sys_log does

not exist in configuration

Associated revisions

Revision 97c4abc8 - 2012-09-27 18:21 - Thomas Maroschik

[BUGFIX] Release scheduler from classname field

Currently the scheduler depends at many parts on its classname field in
the tx_scheduler_task table. This is not necessary as the classname is
already stored in the serialized task object. By releasing scheduler
tasks from their classname field backwards compatibility is maintained
by the class_alias mechanism.

Change-Id: 126f228add1f3db9f99ec3f5691488bd453ae2339
Fixes: #40215

Related: #40095

Releases: 6.0

Reviewed-on: http://review.typo3.org/14236

Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2012-08-26 02:31 - Christian Kuhn
- Parent task set to #40095

#2 - 2012-08-26 18:31 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14116
#3 - 2012-08-26 21:23 - Christian Kuhn

- Project changed from Core to Scheduler

#4 - 2012-08-26 21:24 - Christian Kuhn

Ah, since the array key is used as class name, the namespace change breaks b/w compatibility for registered tasks ... we need to think about this issue

again.

#5 - 2012-08-26 21:39 - Philipp Gampe

As said on the change, we properly need some kind of upgrade wizard that converts the task objects (and the corresponding sys_registry entries).

| do not know if | have some time left next week to look into it, but | will definitely review any changes done here since | know the scheduler code to

main part.

#6 - 2012-08-30 23:58 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14236

#7 - 2012-08-31 00:00 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14236

#8 - 2012-08-31 15:37 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14236

#9 - 2012-08-31 17:11 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14236

#10 - 2012-08-31 19:14 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14236

#11 - 2012-09-01 01:01 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14236
#12 - 2012-09-01 02:39 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14236

#13 - 2012-09-27 16:03 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14236

#14 - 2012-09-27 17:07 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14236

#15 - 2012-09-27 18:30 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:97c4abc815dc8e8343a220bf84dd6cab0632994d.

#16 - 2013-12-10 01:25 - Michael Stucki
- Category set to scheduler

#17 - 2013-12-10 01:28 - Michael Stucki

- Project changed from Scheduler to Core
- Category changed from scheduler to scheduler
